summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2017-11-20 20:08:11 +0100
committerLennart Poettering <lennart@poettering.net>2017-11-20 20:08:11 +0100
commit7624e721c852e9e4ddbd413635a0323902a02661 (patch)
treec63689bef2bdd8a9933e3433882ed413d1f55cd7 /test
parent444b01704648c2f1292531f17c3b8c95bf1a9896 (diff)
downloadsystemd-7624e721c852e9e4ddbd413635a0323902a02661.tar.gz
systemd-7624e721c852e9e4ddbd413635a0323902a02661.tar.bz2
systemd-7624e721c852e9e4ddbd413635a0323902a02661.zip
test: fall back to /boot if bootctl -p fails (#7397)
It doesn't really matter why.
Diffstat (limited to 'test')
-rw-r--r--test/test-functions2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/test-functions b/test/test-functions
index bfbd308c29..0413e166f2 100644
--- a/test/test-functions
+++ b/test/test-functions
@@ -14,7 +14,7 @@ NSPAWN_TIMEOUT="${NSPAWN_TIMEOUT:-infinity}"
TIMED_OUT= # will be 1 after run_* if *_TIMEOUT is set and test timed out
[[ "$LOOKS_LIKE_SUSE" ]] && FSTYPE="${FSTYPE:-btrfs}" || FSTYPE="${FSTYPE:-ext4}"
UNIFIED_CGROUP_HIERARCHY="${UNIFIED_CGROUP_HIERARCHY:-default}"
-EFI_MOUNT="$(bootctl -p)"
+EFI_MOUNT="$(bootctl -p 2>/dev/null || echo /boot)"
if ! ROOTLIBDIR=$(pkg-config --variable=systemdutildir systemd); then
echo "WARNING! Cannot determine rootlibdir from pkg-config, assuming /usr/lib/systemd" >&2